%define upstream_name    Net-Bluetooth
%define upstream_version 0.41

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 18

Summary:	Net::Bluetooth - Perl Bluetooth Interface
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/Net-Bluetooth-%{upstream_version}.tar.gz

BuildRequires:	pkgconfig(bluez)
BuildRequires:	perl-devel

Requires(pre):  bluez

%description
Net::Bluetooth - Perl Bluetooth Interface
This module creates a Bluetooth interface for Perl.

%prep
%setup -q -n Net-Bluetooth-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/*
%{perl_vendorarch}/auto/Net/*
%dir %{perl_vendorarch}/auto/Net/Bluetooth
%{perl_vendorarch}/auto/Net/Bluetooth/*
%{_mandir}/man3/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.410.0-18.mga10
+ Revision: 2088151
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 0.410.0-17.mga10
+ Revision: 2011453
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.410.0-16.mga9
+ Revision: 1862207
- Rebuild for Perl 5.36

* Mon Mar 28 2022 umeabot <umeabot> 0.410.0-15.mga9
+ Revision: 1830463
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.410.0-14.mga9
+ Revision: 1726912
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.410.0-13.mga8
+ Revision: 1594938
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.410.0-12.mga8
+ Revision: 1529997
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.410.0-11.mga8
+ Revision: 1433845
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.410.0-10.mga7
+ Revision: 1293536
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.410.0-9.mga7
+ Revision: 1249252
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.410.0-8.mga7
+ Revision: 1165837
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.410.0-7.mga7
+ Revision: 1149860
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.410.0-6.mga7
+ Revision: 1126457
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.410.0-5.mga6
+ Revision: 1030979
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.410.0-4.mga6
+ Revision: 957780
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.410.0-3.mga6
+ Revision: 845042
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.410.0-2.mga6
+ Revision: 842501
- Rebuild for perl 5.22

* Tue Jun 23 2015 sander85 <sander85> 0.410.0-1.mga6
+ Revision: 840042
- update to 0.41

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-9.mga5
+ Revision: 742024
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-8.mga5
+ Revision: 685627
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.400.0-7.mga5
+ Revision: 631456
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.400.0-6.mga4
+ Revision: 524930
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.400.0-5.mga4
+ Revision: 431669
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-4.mga3
+ Revision: 370504
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.400.0-3.mga3
+ Revision: 250978
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.400.0-2.mga2
+ Revision: 104811
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 30880
- mageia rebuild
- imported package perl-Net-Bluetooth


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.400.0-1mdv2010.0
+ Revision: 404062
- rebuild using %%perl_convert_version

* Sat Feb 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.40-6mdv2009.1
+ Revision: 345984
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.40-5mdv2009.0
+ Revision: 257951
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.40-4mdv2009.0
+ Revision: 246002
- rebuild
- fix spacing at top of description

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.40-2mdv2008.1
+ Revision: 152216
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 16 2007 Funda Wang <fwang@mandriva.org> 0.40-1mdv2008.0
+ Revision: 64131
- New version 0.40

* Wed May 23 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.39-1mdv2008.0
+ Revision: 30113
- Fix BR
- Import perl-Net-Bluetooth



* Wed May 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.39-1mdv2008.0
- First Mandriva package
